#ifndef LEDOUTMMDEVICE_HH
#define LEDOUTMMDEVICE_HH

#include <stdio.h>


#include <vm68k/types.h>
#include <vm68k/memory.h>
#include <vm68k/processor.h>


#include "mmdevice.hh"

using namespace vm68k ;



class LEDOutMMDevice : public MMDevice
{
public:
    LEDOutMMDevice ( FILE * output ) ;
    virtual ~LEDOutMMDevice () ;

    void put_32(uint32_type address, uint32_type value, function_code fc) ;
    void put_16(uint32_type address, uint16_type value, function_code fc) ;
    void put_8(uint32_type address, int value, function_code fc) ;

private:
    FILE * output ;
} ;

#endif

