#include "ledoutmmdevice.hh"

LEDOutMMDevice :: LEDOutMMDevice ( FILE * output ) : MMDevice ( true )
{
    this -> output = output ;
}

LEDOutMMDevice :: ~LEDOutMMDevice ()
{
}

void LEDOutMMDevice :: put_32(uint32_type address, uint32_type value, function_code fc) 
{
    fprintf ( output , "led: 0x%08x\n" , value ) ;
}

void LEDOutMMDevice :: put_16(uint32_type address, uint16_type value, function_code fc) 
{
    fprintf ( output , "led: 0x%04x\n" , value ) ;
}

void LEDOutMMDevice :: put_8(uint32_type address, int value, function_code fc) 
{
    fprintf ( output , "led: 0x%02x\n" , (unsigned char) value ) ;
}

