

-- Pure signals used by register file processes

    -- Data
    signal data_regs_in                     : dword_register ;
    signal address_regs_in                  : dword_register ;

    -- Register addressing
    signal register_file_address_x          : std_logic_vector ( 2 downto 0 ) ;
    signal register_file_address_y          : std_logic_vector ( 2 downto 0 ) ;


-- Signals that are based on registers
    signal register_file_address_out_x            : dword_register ;
    signal register_file_address_out_y            : dword_register ;
    signal register_file_data_out_x               : dword_register ;
    signal register_file_data_out_y               : dword_register ;
    
    type register_file_source_x_type is
                ( RF_X_EA_REG , RF_X_FORCE_TO_SP ,
                RF_X_11_TO_9_FIELD , RF_X_2_TO_0_FIELD ) ;

    type register_file_source_y_type is
                ( RF_Y_FORCE_TO_SP ,
                RF_Y_11_TO_9_FIELD , RF_Y_2_TO_0_FIELD ) ;


